package com.sf._05_接口练习.demo3;

public class Mege extends Role implements Magicable {


    public Mege(String name) {
        super(name);
    }

    @Override
    public void caseMagic() {
        System.out.println(getName() + "法师释放火球术造成100点伤害");
    }

    @Override
    public void attack() {
        System.out.println(getName()+"法师使用发张敲击");
    }
}
